I have plugged away at the imported origin problem some more, I found that exploding imported groups is undesirable as it leaves behind unwanted vertices on your non-grouped objects when you regroup. I messed around writing an explode/regroup routine (it was buggy) and then I found a similar thread where TIG had an elegant less buggy explode/regroup solution using an array. it was something like...
sel = mod.selection groupArray=(sel[0].explode.find_all{|e|e if e.respond_to?(:bounds)}).uniq Sketchup.active_model.entities.add_group(groupArray)
That fixed the origin points, but I found that I cannot explode to get a new origin as it ruins ungrouped geometry in my model. I found that exploding is unnecessary and is only really a limitation of using SketchUp's interface, as there is no option to add a single group object inside another group. You would need to select at least 1 other object since the only options available in SU are "edit group", "make component", or "explode". With ruby I can just use add_group and I have a single group inside a group. Easy enough for me even with my limited ruby experience. Now I just need a way to get the name of each group add it to a new group with the same name. I need help with syntax for this.
The only potential problem I can see with this ide to reset origin is that perhaps SU won't like having a group inside a group of the same name. If it defaults to something like group_1 or something I can just update my "gname" to reflect that, hopefully that is the case.
I will check out that thread link sdmitch, thanks for your help.